scala.collection

# GenMapLike

#### trait GenMapLike[A, +B, +Repr] extends GenIterableLike[(A, B), Repr] with Equals with Parallelizable[(A, B), ParMap[A, B]]

A trait for all maps upon which operations may be implemented in parallel.

Source
  GenMapLike.scala

Linear Supertypes
Equals, GenIterableLike[(A, B), Repr], GenTraversableLike[(A, B), Repr], Parallelizable[(A, B), ParMap[A, B]], GenTraversableOnce[(A, B)], AnyRef, Any
Known Subclasses
ConcurrentMap, DefaultMap, DefaultMap, DefaultMapModel, FilteredKeys, FilteredKeys, GenMap, HashMap, HashMap, HashMap1, HashTrieMap, ImmutableMapAdaptor, IntMap, LinkedHashMap, ListMap, ListMap, LongMap, Map, Map, Map, Map, Map1, Map2, Map3, Map4, MapLike, MapLike, MapLike, MapProxy, MapProxy, MapProxy, MapProxyLike, MappedValues, MappedValues, MultiMap, Node, ObservableMap, OpenHashMap, ParHashMap, ParHashMap, ParMap, ParMap, ParMap, ParMapLike, ParMapLike, ParTrieMap, PicklerEnv, SortedMap, SortedMap, SortedMapLike, SynchronizedMap, SystemProperties, TreeMap, TrieMap, UnPicklerEnv, WeakHashMap, WithDefault, WithDefault, WithDefault, WithDefault, WithDefault, WithDefault
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. GenMapLike
2. Equals
3. GenIterableLike
4. GenTraversableLike
5. Parallelizable
6. GenTraversableOnce
7. AnyRef
8. Any

Implicitly

1. by traversable2ops
2. by any2stringadd
3. by any2stringfmt
4. by any2ArrowAssoc
5. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def +[B1 >: B](kv: (A, B1)): GenMap[A, B1]

2. #### abstract def -(key: A): Repr

3. #### abstract def /:[B](z: B)(op: (B, (A, B)) ⇒ B): B

   Applies a binary operator to a start value and all elements of this general map, going left to right.

   Applies a binary operator to a start value and all elements of this general map, going left to right.

   Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

   Examples:

   Note that the folding function used to compute b is equivalent to that used to compute c.

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (5 /: a)(_+_)
       b: Int = 15

       scala> val c = (5 /: a)((x,y) => x + y)
       c: Int = 15

   Note: will not terminate for infinite-sized collections.

   Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

   B

     the result type of the binary operator.

   z

     the start value.

   op

     the binary operator.

   returns

     the result of inserting `op` between consecutive elements of this general map, going left to right with the start value `z` on the left:

         op(...op(op(z, x_1), x_2), ..., x_n)

     where `x1, ..., xn` are the elements of this general map.

   Definition Classes
     GenTraversableOnce

4. #### abstract def :\[B](z: B)(op: ((A, B), B) ⇒ B): B

   Applies a binary operator to all elements of this general map and a start value, going right to left.

   Applies a binary operator to all elements of this general map and a start value, going right to left.

   Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

   Note: will not terminate for infinite-sized collections.

   Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

   Examples:

   Note that the folding function used to compute b is equivalent to that used to compute c.

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (a :\ 5)(_+_)
       b: Int = 15

       scala> val c = (a :\ 5)((x,y) => x + y)
       c: Int = 15

   B

     the result type of the binary operator.

   z

     the start value

   op

     the binary operator

   returns

     the result of inserting `op` between consecutive elements of this general map, going right to left with the start value `z` on the right:

         op(x_1, op(x_2, ... op(x_n, z)...))

     where `x1, ..., xn` are the elements of this general map.

   Definition Classes
     GenTraversableOnce

5. #### abstract def aggregate[B](z: B)(seqop: (B, (A, B)) ⇒ B, combop: (B, B) ⇒ B): B

   Aggregates the results of applying an operator to subsequent elements.

   Aggregates the results of applying an operator to subsequent elements.

   This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked an arbitrary number of times.

   For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

       pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

   Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

   B

     the type of accumulated results

   z

     the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation)

   seqop

     an operator used to accumulate results within a partition

   combop

     an associative operator used to combine results from different partitions

   Definition Classes
     GenTraversableOnce

6. #### abstract def apply(key: A): B

7. #### abstract def canEqual(that: Any): Boolean

   A method that should be called from every well-designed equals method that is open to be overridden in a subclass.

   A method that should be called from every well-designed equals method that is open to be overridden in a subclass. See Programming in Scala, Chapter 28 for discussion and design.

   that

     the value being probed for possible equality

   returns

     true if this instance can possibly equal `that`, otherwise false

   Definition Classes
     Equals

8. #### abstract def contains(key: A): Boolean

   Tests whether this map contains a binding for a key.

   Tests whether this map contains a binding for a key.

   key

     the key

   returns

     `true` if there is a binding for `key` in this map, `false` otherwise.

9. #### abstract def copyToArray[B >: (A, B)](xs: Array[B], start: Int, len: Int): Unit

   Definition Classes
     GenTraversableOnce

10. #### abstract def count(p: ((A, B)) ⇒ Boolean): Int

    Counts the number of elements in the general map which satisfy a predicate.

    Counts the number of elements in the general map which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      GenTraversableOnce

11. #### abstract def default(key: A): B

12. #### abstract def drop(n: Int): Repr

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      the number of elements to drop from this general map.

    returns

      a general map consisting of all elements of this general map except the first `n` ones, or else the empty general map, if this general map has less than `n` elements.

    Definition Classes
      GenTraversableLike

13. #### abstract def dropWhile(pred: ((A, B)) ⇒ Boolean): Repr

    Drops longest prefix of elements that satisfy a predicate.

    Drops longest prefix of elements that satisfy a predicate.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    pred

      The predicate used to test elements.

    returns

      the longest suffix of this general map whose first element does not satisfy the predicate `p`.

    Definition Classes
      GenTraversableLike

14. #### abstract def exists(pred: ((A, B)) ⇒ Boolean): Boolean

    Definition Classes
      GenTraversableOnce

15. #### abstract def filter(pred: ((A, B)) ⇒ Boolean): Repr

    Selects all elements of this general map which satisfy a predicate.

    Selects all elements of this general map which satisfy a predicate.

    pred

      the predicate used to test elements.

    returns

      a new general map consisting of all elements of this general map that satisfy the given predicate `p`. Their order may not be preserved.

    Definition Classes
      GenTraversableLike

16. #### abstract def filterKeys(p: (A) ⇒ Boolean): GenMap[A, B]

    Filters this map by retaining only keys satisfying a predicate.

    Filters this map by retaining only keys satisfying a predicate.

    p

      the predicate used to test keys

    returns

      an immutable map consisting only of those key value pairs of this map where the key satisfies the predicate `p`. The resulting map wraps the original map without copying any elements.

17. #### abstract def filterNot(pred: ((A, B)) ⇒ Boolean): Repr

    Selects all elements of this general map which do not satisfy a predicate.

    Selects all elements of this general map which do not satisfy a predicate.

    pred

      the predicate used to test elements.

    returns

      a new general map consisting of all elements of this general map that do not satisfy the given predicate `p`. Their order may not be preserved.

    Definition Classes
      GenTraversableLike

18. #### abstract def find(pred: ((A, B)) ⇒ Boolean): Option[(A, B)]

    Finds the first element of the general map satisfying a predicate, if any.

    Finds the first element of the general map satisfying a predicate, if any.

    Note: may not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    pred

      the predicate used to test elements.

    returns

      an option value containing the first element in the general map that satisfies `p`, or `None` if none exists.

    Definition Classes
      GenTraversableOnce

19. #### abstract def fold[A1 >: (A, B)](z: A1)(op: (A1, A1) ⇒ A1): A1

    Folds the elements of this general map using the specified associative binary operator.

    Folds the elements of this general map using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication.)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      GenTraversableOnce

20. #### abstract def foldLeft[B](z: B)(op: (B, (A, B)) ⇒ B): B

    Applies a binary operator to a start value and all elements of this general map, going left to right.

    Applies a binary operator to a start value and all elements of this general map, going left to right.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this general map, going left to right with the start value `z` on the left:

          op(...op(z, x_1), x_2, ..., x_n)

      where `x1, ..., xn` are the elements of this general map.

    Definition Classes
      GenTraversableOnce

21. #### abstract def foldRight[B](z: B)(op: ((A, B), B) ⇒ B): B

    Applies a binary operator to all elements of this general map and a start value, going right to left.

    Applies a binary operator to all elements of this general map and a start value, going right to left.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this general map, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this general map.

    Definition Classes
      GenTraversableOnce

22. #### abstract def forall(pred: ((A, B)) ⇒ Boolean): Boolean

    Definition Classes
      GenTraversableOnce

23. #### abstract def get(key: A): Option[B]

24. #### abstract def groupBy[K](f: ((A, B)) ⇒ K): GenMap[K, Repr]

    Partitions this general map into a map of general maps according to some discriminator function.

    Partitions this general map into a map of general maps according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new general map.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to general maps such that the following invariant holds:

          (xs partition f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a general map of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      GenTraversableLike

25. #### abstract def hasDefiniteSize: Boolean

    Definition Classes
      GenTraversableOnce

26. #### abstract def head: (A, B)

    Selects the first element of this general map.

    Selects the first element of this general map.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this general map.

    Definition Classes
      GenTraversableLike
    Exceptions thrown
      `NoSuchElementException`

      if the general map is empty.

27. #### abstract def headOption: Option[(A, B)]

    Optionally selects the first element.

    Optionally selects the first element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this general map if it is nonempty, `None` if it is empty.

    Definition Classes
      GenTraversableLike

28. #### abstract def init: Repr

    Selects all elements except the last.

    Selects all elements except the last.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      a general map consisting of all elements of this general map except the last one.

    Definition Classes
      GenTraversableLike
    Exceptions thrown
      `UnsupportedOperationException`

      if the general map is empty.

29. #### abstract def isDefinedAt(key: A): Boolean

    Tests whether this map contains a binding for a key.

    Tests whether this map contains a binding for a key. This method, which implements an abstract method of trait `PartialFunction`, is equivalent to `contains`.

    key

      the key

    returns

      `true` if there is a binding for `key` in this map, `false` otherwise.

30. #### abstract def isEmpty: Boolean

    Tests whether the general map is empty.

    Tests whether the general map is empty.

    returns

      `true` if the general map contains no elements, `false` otherwise.

    Definition Classes
      GenTraversableOnce

31. #### abstract def isTraversableAgain: Boolean

    Tests whether this general map can be repeatedly traversed.

    Tests whether this general map can be repeatedly traversed.

    returns

      `true`

    Definition Classes
      GenTraversableLike → GenTraversableOnce

32. #### abstract def iterator: Iterator[(A, B)]

    Definition Classes
      GenIterableLike

33. #### abstract def keySet: GenSet[A]

34. #### abstract def keys: GenIterable[A]

    Collects all keys of this map in an iterable collection.

    Collects all keys of this map in an iterable collection.

    returns

      the keys of this map as an iterable.

35. #### abstract def keysIterator: Iterator[A]

    Creates an iterator for all keys.

    Creates an iterator for all keys.

    returns

      an iterator over all keys.

36. #### abstract def last: (A, B)

    Selects the last element.

    Selects the last element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      The last element of this general map.

    Definition Classes
      GenTraversableLike
    Exceptions thrown
      NoSuchElementException

      If the general map is empty.

37. #### abstract def lastOption: Option[(A, B)]

    Optionally selects the last element.

    Optionally selects the last element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the last element of this general map$ if it is nonempty, `None` if it is empty.

    Definition Classes
      GenTraversableLike

38. #### abstract def mapValues[C](f: (B) ⇒ C): GenMap[A, C]

    Transforms this map by applying a function to every retrieved value.

    Transforms this map by applying a function to every retrieved value.

    f

      the function used to transform values of this map.

    returns

      a map view which maps every key of this map to `f(this(key))`. The resulting map wraps the original map without copying any elements.

39. #### abstract def maxBy[B](f: ((A, B)) ⇒ B)(implicit cmp: Ordering[B]): (A, B)

    Definition Classes
      GenTraversableOnce

40. #### abstract def minBy[B](f: ((A, B)) ⇒ B)(implicit cmp: Ordering[B]): (A, B)

    Definition Classes
      GenTraversableOnce

41. #### abstract def mkString: String

    Displays all elements of this general map in a string.

    Displays all elements of this general map in a string.

    returns

      a string representation of this general map. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this general map follow each other without any separator string.

    Definition Classes
      GenTraversableOnce

42. #### abstract def mkString(sep: String): String

    Displays all elements of this general map in a string using a separator string.

    Displays all elements of this general map in a string using a separator string.

    sep

      the separator string.

    returns

      a string representation of this general map. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this general map are separated by the string `sep`.

    Definition Classes
      GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("|") = "1|2|3"`

43. #### abstract def mkString(start: String, sep: String, end: String): String

    Displays all elements of this general map in a string using start, end, and separator strings.

    Displays all elements of this general map in a string using start, end, and separator strings.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      a string representation of this general map. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this general map are separated by the string `sep`.

    Definition Classes
      GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

44. #### abstract def nonEmpty: Boolean

    Tests whether the general map is not empty.

    Tests whether the general map is not empty.

    returns

      `true` if the general map contains at least one element, `false` otherwise.

    Definition Classes
      GenTraversableOnce

45. #### abstract def parCombiner: Combiner[(A, B), ParMap[A, B]]

    The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

    The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

    returns

      a combiner for the parallel collection of type `ParRepr`

    Attributes
      protected[this]
    Definition Classes
      Parallelizable

46. #### abstract def partition(pred: ((A, B)) ⇒ Boolean): (Repr, Repr)

    Partitions this general map in two general maps according to a predicate.

    Partitions this general map in two general maps according to a predicate.

    pred

      the predicate on which to partition.

    returns

      a pair of general maps: the first general map consists of all elements that satisfy the predicate `p` and the second general map consists of all elements that don't. The relative order of the elements in the resulting general maps may not be preserved.

    Definition Classes
      GenTraversableLike

47. #### abstract def reduce[A1 >: (A, B)](op: (A1, A1) ⇒ A1): A1

    Reduces the elements of this general map using the specified associative binary operator.

    Reduces the elements of this general map using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      A type parameter for the binary operator, a supertype of `A`.

    op

      A binary operator that must be associative.

    returns

      The result of applying reduce operator `op` between all the elements if the general map is nonempty.

    Definition Classes
      GenTraversableOnce
    Exceptions thrown
      UnsupportedOperationException

      if this general map is empty.

48. #### abstract def reduceLeftOption[B >: (A, B)](op: (B, (A, B)) ⇒ B): Option[B]

    Optionally applies a binary operator to all elements of this general map, going left to right.

    Optionally applies a binary operator to all elements of this general map, going left to right.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    op

      the binary operator.

    returns

      an option value containing the result of `reduceLeft(op)` is this general map is nonempty, `None` otherwise.

    Definition Classes
      GenTraversableOnce

49. #### abstract def reduceOption[A1 >: (A, B)](op: (A1, A1) ⇒ A1): Option[A1]

    Reduces the elements of this general map, if any, using the specified associative binary operator.

    Reduces the elements of this general map, if any, using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      A type parameter for the binary operator, a supertype of `A`.

    op

      A binary operator that must be associative.

    returns

      An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

    Definition Classes
      GenTraversableOnce

50. #### abstract def reduceRight[B >: (A, B)](op: ((A, B), B) ⇒ B): B

    Applies a binary operator to all elements of this general map, going right to left.

    Applies a binary operator to all elements of this general map, going right to left.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this general map, going right to left:

          op(x_1, op(x_2, ..., op(x_{n-1}, x_n)...))

      where `x1, ..., xn` are the elements of this general map.

    Definition Classes
      GenTraversableOnce
    Exceptions thrown
      `UnsupportedOperationException`

      if this general map is empty.

51. #### abstract def reduceRightOption[B >: (A, B)](op: ((A, B), B) ⇒ B): Option[B]

    Optionally applies a binary operator to all elements of this general map, going right to left.

    Optionally applies a binary operator to all elements of this general map, going right to left.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    op

      the binary operator.

    returns

      an option value containing the result of `reduceRight(op)` is this general map is nonempty, `None` otherwise.

    Definition Classes
      GenTraversableOnce

52. #### abstract def repr: Repr

    Definition Classes
      GenTraversableLike

53. #### abstract def scan[B >: (A, B), That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[Repr, B, That]): That

    Computes a prefix scan of the elements of the collection.

    Computes a prefix scan of the elements of the collection.

    Note: The neutral element `z` may be applied more than once.

    B

      element type of the resulting collection

    That

      type of the resulting collection

    z

      neutral element for the operator `op`

    op

      the associative operator for the scan

    cbf

      combiner factory which provides a combiner

    returns

      a new general map containing the prefix scan of the elements in this general map

    Definition Classes
      GenTraversableLike

54. #### abstract def scanLeft[B, That](z: B)(op: (B, (A, B)) ⇒ B)(implicit bf: CanBuildFrom[Repr, B, That]): That

    Produces a collection containing cumulative results of applying the operator going left to right.

    Produces a collection containing cumulative results of applying the operator going left to right.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    B

      the type of the elements in the resulting collection

    That

      the actual type of the resulting collection

    z

      the initial value

    op

      the binary operator applied to the intermediate result and the element

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      collection with intermediate results

    Definition Classes
      GenTraversableLike

55. #### abstract def scanRight[B, That](z: B)(op: ((A, B), B) ⇒ B)(implicit bf: CanBuildFrom[Repr, B, That]): That

    Produces a collection containing cumulative results of applying the operator going right to left.

    Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    Example:

        List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

    B

      the type of the elements in the resulting collection

    That

      the actual type of the resulting collection

    z

      the initial value

    op

      the binary operator applied to the intermediate result and the element

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      collection with intermediate results

    Definition Classes
      GenTraversableLike
    Annotations
      @migration
    Migration

      (Changed in version 2.9.0) The behavior of `scanRight` has changed. The previous behavior can be reproduced with scanRight.reverse.

56. #### abstract def seq: Map[A, B]

    Definition Classes
      GenMapLike → Parallelizable → GenTraversableOnce

57. #### abstract def size: Int

    The size of this general map.

    The size of this general map.

    Note: will not terminate for infinite-sized collections.

    returns

      the number of elements in this general map.

    Definition Classes
      GenTraversableLike → GenTraversableOnce

58. #### abstract def slice(unc_from: Int, unc_until: Int): Repr

    Selects an interval of elements.

    Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

        from <= indexOf(x) < until

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    unc_from

      the lowest index to include from this general map.

    unc_until

      the lowest index to EXCLUDE from this general map.

    returns

      a general map containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this general map.

    Definition Classes
      GenTraversableLike

59. #### abstract def span(pred: ((A, B)) ⇒ Boolean): (Repr, Repr)

    Splits this general map into a prefix/suffix pair according to a predicate.

    Splits this general map into a prefix/suffix pair according to a predicate.

    Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    pred

      the test predicate

    returns

      a pair consisting of the longest prefix of this general map whose elements all satisfy `p`, and the rest of this general map.

    Definition Classes
      GenTraversableLike

60. #### abstract def splitAt(n: Int): (Repr, Repr)

    Splits this general map into two at a given position.

    Splits this general map into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      the position at which to split.

    returns

      a pair of general maps consisting of the first `n` elements of this general map, and the other elements.

    Definition Classes
      GenTraversableLike

61. #### abstract def stringPrefix: String

    Defines the prefix of this object's `toString` representation.

    Defines the prefix of this object's `toString` representation.

    returns

      a string representation which starts the result of `toString` applied to this general map. By default the string prefix is the simple name of the collection class general map.

    Definition Classes
      GenTraversableLike

62. #### abstract def tail: Repr

    Selects all elements except the first.

    Selects all elements except the first.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      a general map consisting of all elements of this general map except the first one.

    Definition Classes
      GenTraversableLike
    Exceptions thrown
      `UnsupportedOperationException`

      if the general map is empty.

63. #### abstract def take(n: Int): Repr

    Selects first n elements.

    Selects first n elements.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      the number of elements to take from this general map.

    returns

      a general map consisting only of the first `n` elements of this general map, or else the whole general map, if it has less than `n` elements.

    Definition Classes
      GenTraversableLike

64. #### abstract def takeWhile(pred: ((A, B)) ⇒ Boolean): Repr

    Takes longest prefix of elements that satisfy a predicate.

    Takes longest prefix of elements that satisfy a predicate.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    pred

      The predicate used to test elements.

    returns

      the longest prefix of this general map whose elements all satisfy the predicate `p`.

    Definition Classes
      GenTraversableLike

65. #### abstract def toBuffer[A1 >: (A, B)]: Buffer[A1]

    Converts this general map to a mutable buffer.

    Converts this general map to a mutable buffer.

    Note: will not terminate for infinite-sized collections.

    returns

      a buffer containing all elements of this general map.

    Definition Classes
      GenTraversableOnce

66. #### abstract def toIndexedSeq: immutable.IndexedSeq[(A, B)]

    Converts this general map to an indexed sequence.

    Converts this general map to an indexed sequence.

    Note: will not terminate for infinite-sized collections.

    returns

      an indexed sequence containing all elements of this general map.

    Definition Classes
      GenTraversableOnce

67. #### abstract def toIterable: GenIterable[(A, B)]

    Converts this general map to an iterable collection.

    Converts this general map to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

    Note: will not terminate for infinite-sized collections.

    returns

      an `Iterable` containing all elements of this general map.

    Definition Classes
      GenTraversableOnce

68. #### abstract def toIterator: Iterator[(A, B)]

    Returns an Iterator over the elements in this general map.

    Returns an Iterator over the elements in this general map. Will return the same Iterator if this instance is already an Iterator.

    Note: will not terminate for infinite-sized collections.

    returns

      an Iterator containing all elements of this general map.

    Definition Classes
      GenTraversableOnce

69. #### abstract def toList: List[(A, B)]

    Converts this general map to a list.

    Converts this general map to a list.

    Note: will not terminate for infinite-sized collections.

    returns

      a list containing all elements of this general map.

    Definition Classes
      GenTraversableOnce

70. #### abstract def toSeq: GenSeq[(A, B)]

    Converts this general map to a sequence.

    Converts this general map to a sequence. As with `toIterable`, it's lazy in this default implementation, as this `TraversableOnce` may be lazy and unevaluated.

    Note: will not terminate for infinite-sized collections.

    returns

      a sequence containing all elements of this general map.

    Definition Classes
      GenTraversableOnce

71. #### abstract def toSet[A1 >: (A, B)]: GenSet[A1]

    Converts this general map to a set.

    Converts this general map to a set.

    Note: will not terminate for infinite-sized collections.

    returns

      a set containing all elements of this general map.

    Definition Classes
      GenTraversableOnce

72. #### abstract def toStream: Stream[(A, B)]

    Converts this general map to a stream.

    Converts this general map to a stream.

    Note: will not terminate for infinite-sized collections.

    returns

      a stream containing all elements of this general map.

    Definition Classes
      GenTraversableOnce

73. #### abstract def toTraversable: GenTraversable[(A, B)]

    Converts this general map to an unspecified Traversable.

    Converts this general map to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

    Note: will not terminate for infinite-sized collections.

    returns

      a Traversable containing all elements of this general map.

    Definition Classes
      GenTraversableOnce

74. #### abstract def toVector: Vector[(A, B)]

    Converts this general map to a Vector.

    Converts this general map to a Vector.

    Note: will not terminate for infinite-sized collections.

    returns

      a vector containing all elements of this general map.

    Definition Classes
      GenTraversableOnce

75. #### abstract def values: GenIterable[B]

    Collects all values of this map in an iterable collection.

    Collects all values of this map in an iterable collection.

    returns

      the values of this map as an iterable.

76. #### abstract def valuesIterator: Iterator[B]

    Creates an iterator for all values in this map.

    Creates an iterator for all values in this map.

    returns

      an iterator over all values that are associated with some key in this map.

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### abstract def ++[B](that: GenTraversableOnce[B]): GenMap[B]

   [use case] Returns a new general map containing the elements from the left hand operand followed by the elements from the right hand operand.

   [use case]

   Returns a new general map containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the general map is the most specific superclass encompassing the element types of the two operands.

   Example:

       scala> val a = LinkedList(1)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val b = LinkedList(2)
       b: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val c = a ++ b
       c: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

       scala> val d = LinkedList('a')
       d: scala.collection.mutable.LinkedList[Char] = LinkedList(a)

       scala> val e = c ++ d
       e: scala.collection.mutable.LinkedList[AnyVal] = LinkedList(1, 2, a)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new general map which contains all elements of this general map followed by all elements of `that`.

   Definition Classes
     GenTraversableLike
   Full Signature

   #### abstract def ++[B >: (A, B), That](that: GenTraversableOnce[B])(implicit bf: CanBuildFrom[Repr, B, That]): That

5. #### def ->[B](y: B): (GenMapLike[A, B, Repr], B)

   Implicit information
     This member is added by an implicit conversion from GenMapLike[A, B, Repr] to ArrowAssoc[GenMapLike[A, B, Repr]] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline ()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

8. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

9. #### def asParIterable: ParIterable[(A, B)]

   Implicit information
     This member is added by an implicit conversion from GenMapLike[A, B, Repr] to TraversableOps[(A, B)] performed by method traversable2ops in scala.collection.parallel.
   Definition Classes
     TraversableOps

10. #### def asParSeq: ParSeq[(A, B)]

    Implicit information
      This member is added by an implicit conversion from GenMapLike[A, B, Repr] to TraversableOps[(A, B)] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

11. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )
    Note

      not specified by SLS as a member of AnyRef

12. #### abstract def collect[B](pf: PartialFunction[(A, B), B]): GenMap[B]

    [use case] Builds a new collection by applying a partial function to all elements of this general map on which the function is defined.

    [use case]

    Builds a new collection by applying a partial function to all elements of this general map on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the general map.

    returns

      a new general map resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      GenTraversableLike
    Full Signature

    #### abstract def collect[B, That](pf: PartialFunction[(A, B), B])(implicit bf: CanBuildFrom[Repr, B, That]): That

13. #### abstract def copyToArray(xs: Array[(A, B)], start: Int): Unit

    [use case] Copies values of this general map to an array.

    [use case]

    Copies values of this general map to an array. Fills the given array `xs` with values of this general map, beginning at index `start`. Copying will stop once either the end of the current general map is reached, or the end of the array is reached.

    Note: will not terminate for infinite-sized collections.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def copyToArray[B >: (A, B)](xs: Array[B], start: Int): Unit

14. #### abstract def copyToArray(xs: Array[(A, B)]): Unit

    [use case] Copies values of this general map to an array.

    [use case]

    Copies values of this general map to an array. Fills the given array `xs` with values of this general map. Copying will stop once either the end of the current general map is reached, or the end of the array is reached.

    Note: will not terminate for infinite-sized collections.

    xs

      the array to fill.

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def copyToArray[B >: (A, B)](xs: Array[B]): Unit

15. #### def ensuring(cond: (GenMapLike[A, B, Repr]) ⇒ Boolean, msg: ⇒ Any): GenMapLike[A, B, Repr]

    Implicit information
      This member is added by an implicit conversion from GenMapLike[A, B, Repr] to Ensuring[GenMapLike[A, B, Repr]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: (GenMapLike[A, B, Repr]) ⇒ Boolean): GenMapLike[A, B, Repr]

    Implicit information
      This member is added by an implicit conversion from GenMapLike[A, B, Repr] to Ensuring[GenMapLike[A, B, Repr]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: Boolean, msg: ⇒ Any): GenMapLike[A, B, Repr]

    Implicit information
      This member is added by an implicit conversion from GenMapLike[A, B, Repr] to Ensuring[GenMapLike[A, B, Repr]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### def ensuring(cond: Boolean): GenMapLike[A, B, Repr]

    Implicit information
      This member is added by an implicit conversion from GenMapLike[A, B, Repr] to Ensuring[GenMapLike[A, B, Repr]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

20. #### def equals(that: Any): Boolean

    Compares two maps structurally; i.

    Compares two maps structurally; i.e. checks if all mappings contained in this map are also contained in the other map, and vice versa.

    that

      the other map

    returns

      `true` if both maps contain exactly the same mappings, `false` otherwise.

    Definition Classes
      GenMapLike → Equals → AnyRef → Any

21. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

22. #### abstract def flatMap[B](f: ((A, B)) ⇒ GenTraversableOnce[B]): GenMap[B]

    [use case] Builds a new collection by applying a function to all elements of this general map and using the elements of the resulting collections.

    [use case]

    Builds a new collection by applying a function to all elements of this general map and using the elements of the resulting collections.

    For example:

        def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of general map. This might cause unexpected results sometimes. For example:

        // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
        def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

        // lettersOf will return a Set[Char], not a Seq
        def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

        // xs will be a an Iterable[Int]
        val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

        // ys will be a Map[Int, Int]
        val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new general map resulting from applying the given collection-valued function `f` to each element of this general map and concatenating the results.

    Definition Classes
      GenTraversableLike
    Full Signature

    #### abstract def flatMap[B, That](f: ((A, B)) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[Repr, B, That]): That

23. #### abstract def foreach(f: ((A, B)) ⇒ Unit): Unit

    [use case] Applies a function `f` to all elements of this general map.

    [use case]

    Applies a function `f` to all elements of this general map.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      GenTraversableLike → GenTraversableOnce
    Full Signature

    #### abstract def foreach[U](f: ((A, B)) ⇒ U): Unit

24. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from GenMapLike[A, B, Repr] to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline ()

25. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

26. #### abstract def getOrElse(key: A, default: ⇒ B): B

    [use case] Returns the value associated with a key, or a default value if the key is not contained in the map.

    [use case]

    Returns the value associated with a key, or a default value if the key is not contained in the map.

    key

      the key.

    default

      a computation that yields a default value in case no binding for `key` is found in the map.

    returns

      the value associated with `key` if it exists, otherwise the result of the `default` computation.

    Full Signature

    #### abstract def getOrElse[B1 >: B](key: A, default: ⇒ B1): B1

27. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      GenMapLike → AnyRef → Any

28. #### def ifParSeq[R](isbody: (ParSeq[(A, B)]) ⇒ R): (TraversableOps[(A, B)])#Otherwise[R]

    Implicit information
      This member is added by an implicit conversion from GenMapLike[A, B, Repr] to TraversableOps[(A, B)] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

29. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

30. #### def isParIterable: Boolean

    Implicit information
      This member is added by an implicit conversion from GenMapLike[A, B, Repr] to TraversableOps[(A, B)] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

31. #### def isParSeq: Boolean

    Implicit information
      This member is added by an implicit conversion from GenMapLike[A, B, Repr] to TraversableOps[(A, B)] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

32. #### def isParallel: Boolean

    Implicit information
      This member is added by an implicit conversion from GenMapLike[A, B, Repr] to TraversableOps[(A, B)] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

33. #### abstract def map[B](f: ((A, B)) ⇒ B): GenMap[B]

    [use case] Builds a new collection by applying a function to all elements of this general map.

    [use case]

    Builds a new collection by applying a function to all elements of this general map.

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new general map resulting from applying the given function `f` to each element of this general map and collecting the results.

    Definition Classes
      GenTraversableLike
    Full Signature

    #### abstract def map[B, That](f: ((A, B)) ⇒ B)(implicit bf: CanBuildFrom[Repr, B, That]): That

34. #### abstract def max: (A, B)

    [use case] Finds the largest element.

    [use case]

    Finds the largest element.

    returns

      the largest element of this general map.

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def max[A1 >: (A, B)](implicit ord: Ordering[A1]): (A, B)

35. #### abstract def min: (A, B)

    [use case] Finds the smallest element.

    [use case]

    Finds the smallest element.

    returns

      the smallest element of this general map

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def min[A1 >: (A, B)](implicit ord: Ordering[A1]): (A, B)

36. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

37. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

38. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

39. #### def par: ParMap[A, B]

    Returns a parallel implementation of this collection.

    Returns a parallel implementation of this collection.

    For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

    Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

    All parallel collections return a reference to themselves.

    returns

      a parallel implementation of this collection

    Definition Classes
      Parallelizable

40. #### abstract def product: (A, B)

    [use case] Multiplies up the elements of this collection.

    [use case]

    Multiplies up the elements of this collection.

    returns

      the product of all elements in this general map of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the general map and as result type of `product`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def product[A1 >: (A, B)](implicit num: Numeric[A1]): A1

41. #### abstract def sameElements(that: GenIterable[(A, B)]): Boolean

    [use case] Checks if the other iterable collection contains the same elements in the same order as this general map.

    [use case]

    Checks if the other iterable collection contains the same elements in the same order as this general map.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    Note: will not terminate for infinite-sized collections.

    that

      the collection to compare with.

    returns

      `true`, if both collections contain the same elements in the same order, `false` otherwise.

    Definition Classes
      GenIterableLike
    Full Signature

    #### abstract def sameElements[A1 >: (A, B)](that: GenIterable[A1]): Boolean

42. #### abstract def sum: (A, B)

    [use case] Sums up the elements of this collection.

    [use case]

    Sums up the elements of this collection.

    returns

      the sum of all elements in this general map of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the general map and as result type of `sum`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def sum[A1 >: (A, B)](implicit num: Numeric[A1]): A1

43. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

44. #### abstract def to[Col[_]]: Col[(A, B)]

    [use case] Converts this general map into another by copying all elements.

    [use case]

    Converts this general map into another by copying all elements.

    Note: will not terminate for infinite-sized collections.

    Col

      The collection type to build.

    returns

      a new collection containing all elements of this general map.

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def to[Col[_]](implicit cbf: CanBuildFrom[Nothing, (A, B), Col[(A, B)]]): Col[(A, B)]

45. #### abstract def toArray: Array[(A, B)]

    [use case] Converts this general map to an array.

    [use case]

    Converts this general map to an array.

    Note: will not terminate for infinite-sized collections.

    returns

      an array containing all elements of this general map. An `ClassTag` must be available for the element type of this general map.

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def toArray[A1 >: (A, B)](implicit arg0: ClassTag[A1]): Array[A1]

46. #### abstract def toMap[T, U]: Map[T, U]

    [use case] Converts this general map to a map.

    [use case]

    Converts this general map to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

    Note: will not terminate for infinite-sized collections.

    returns

      a map of type `immutable.Map[T, U]` containing all key/value pairs of type `(T, U)` of this general map.

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def toMap[K, V](implicit ev: <:<[(A, B), (K, V)]): GenMap[K, V]

47. #### def toParArray: ParArray[(A, B)]

    Implicit information
      This member is added by an implicit conversion from GenMapLike[A, B, Repr] to TraversableOps[(A, B)] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

48. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

49. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )

50. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )

51. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )

52. #### abstract def zip[B](that: GenIterable[B]): GenMap[((A, B), B)]

    [use case] Returns a general map formed from this general map and another iterable collection by combining corresponding elements in pairs.

    [use case]

    Returns a general map formed from this general map and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    B

      the type of the second half of the returned pairs

    that

      The iterable providing the second half of each result pair

    returns

      a new general map containing pairs consisting of corresponding elements of this general map and `that`. The length of the returned collection is the minimum of the lengths of this general map and `that`.

    Definition Classes
      GenIterableLike
    Full Signature

    #### abstract def zip[A1 >: (A, B), B, That](that: GenIterable[B])(implicit bf: CanBuildFrom[Repr, (A1, B), That]): That

53. #### abstract def zipAll[B](that: Iterable[B], thisElem: (A, B), thatElem: B): GenMap[((A, B), B)]

    [use case] Returns a general map formed from this general map and another iterable collection by combining corresponding elements in pairs.

    [use case]

    Returns a general map formed from this general map and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    B

      the type of the second half of the returned pairs

    that

      The iterable providing the second half of each result pair

    thisElem

      the element to be used to fill up the result if this general map is shorter than `that`.

    thatElem

      the element to be used to fill up the result if `that` is shorter than this general map.

    returns

      a new general map containing pairs consisting of corresponding elements of this general map and `that`. The length of the returned collection is the maximum of the lengths of this general map and `that`. If this general map is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this general map, `thatElem` values are used to pad the result.

    Definition Classes
      GenIterableLike
    Full Signature

    #### abstract def zipAll[B, A1 >: (A, B), That](that: GenIterable[B], thisElem: A1, thatElem: B)(implicit bf: CanBuildFrom[Repr, (A1, B), That]): That

54. #### abstract def zipWithIndex: GenMap[((A, B), Int)]

    [use case] Zips this general map with its indices.

    [use case]

    Zips this general map with its indices.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      A new general map containing pairs consisting of all elements of this general map paired with their index. Indices start at `0`.

    Definition Classes
      GenIterableLike
    Full Signature

    #### abstract def zipWithIndex[A1 >: (A, B), That](implicit bf: CanBuildFrom[Repr, (A1, Int), That]): That

    Example:

    1. `List("a", "b", "c").zipWithIndex = List(("a", 0), ("b", 1), ("c", 2))`

55. #### def →[B](y: B): (GenMapLike[A, B, Repr], B)

    Implicit information
      This member is added by an implicit conversion from GenMapLike[A, B, Repr] to ArrowAssoc[GenMapLike[A, B, Repr]] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from GenMapLike[A, B, Repr] to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (genMapLike: StringAdd).+(other)

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from GenMapLike[A, B, Repr] to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (genMapLike: StringAdd).self

   Definition Classes
     StringAdd

3. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from GenMapLike[A, B, Repr] to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (genMapLike: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def /:\[A1 >: (A, B)](z: A1)(op: (A1, A1) ⇒ A1): A1

   A syntactic sugar for out of order folding.

   A syntactic sugar for out of order folding. See `fold`.

   Example:

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (a /:\ 5)(_+_)
       b: Int = 15

   Definition Classes
     GenTraversableOnce
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) use fold instead

2. #### def x: GenMapLike[A, B, Repr]

   Implicit information
     This member is added by an implicit conversion from GenMapLike[A, B, Repr] to ArrowAssoc[GenMapLike[A, B, Repr]] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (genMapLike: ArrowAssoc[GenMapLike[A, B, Repr]]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

3. #### def x: GenMapLike[A, B, Repr]

   Implicit information
     This member is added by an implicit conversion from GenMapLike[A, B, Repr] to Ensuring[GenMapLike[A, B, Repr]] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (genMapLike: Ensuring[GenMapLike[A, B, Repr]]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from Equals

### Inherited from GenIterableLike[(A, B), Repr]

### Inherited from GenTraversableLike[(A, B), Repr]

### Inherited from Parallelizable[(A, B), ParMap[A, B]]

### Inherited from GenTraversableOnce[(A, B)]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion traversable2ops from GenMapLike[A, B, Repr] to TraversableOps[(A, B)]

### Inherited by implicit conversion any2stringadd from GenMapLike[A, B, Repr] to StringAdd

### Inherited by implicit conversion any2stringfmt from GenMapLike[A, B, Repr] to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from GenMapLike[A, B, Repr] to ArrowAssoc[GenMapLike[A, B, Repr]]

### Inherited by implicit conversion any2Ensuring from GenMapLike[A, B, Repr] to Ensuring[GenMapLike[A, B, Repr]]

### Ungrouped